<?xml version="1.0" encoding="UTF-8"?>
<!--
 * The contents of this file are subject to the terms of the Common Development and
 * Distribution License (the License). You may not use this file except in compliance with the
 * License.
 *
 * You can obtain a copy of the License at legal/CDDLv1.0.txt. See the License for the
 * specific language governing permission and limitations under the License.
 *
 * When distributing Covered Software, include this CDDL Header Notice in each file and include
 * the License file at legal/CDDLv1.0.txt. If applicable, add the following below the CDDL
 * Header, with the fields enclosed by brackets [] replaced by your own identifying
 * information: "Portions copyright [year] [name of copyright owner]".
 *
 * Copyright 2011-2016 ForgeRock AS.
 * Copyright 2019 Open Identity Platform Community.
 
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- Parent Project -->
    <parent>
        <groupId>org.openidentityplatform.openam</groupId>
        <artifactId>openam</artifactId>
        <version>14.5.3-SNAPSHOT</version>
    </parent>

    <!-- Component Definition -->
    <name>OpenAM Server Only</name>
    <description>OpenAM Server Only Component</description>
    <artifactId>openam-server-only</artifactId>
    <packaging>war</packaging>

    <properties>
        <!-- Default settings for standard embedded dj. -->
        <dj.backend.type>je</dj.backend.type>
        <!-- Default settings for the exclusion list to use for creating the opendj zip file. -->
        <exclusion.list.filename>opendj_exclusion_list</exclusion.list.filename>
        <!-- Default folder to use for pulling in third party distribution legal notices. -->
        <third.party.legal.directory>legal</third.party.legal.directory>
        <!-- Default value for whether the build is running in oem mode -->
        <is.oem.build>false</is.oem.build>

        <full.version.information>@VERSION@ Build @REVISION@ (@DATESTAMP@)</full.version.information>
    </properties>

    <!-- Build -->
    <build>
        <finalName>OpenAM-ServerOnly-${project.version}</finalName>
        <plugins>
            <!-- OpenDJ 3.0: Pre-Pre-Packaging Step to download required Pre-Packaging Resources-->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <executions>
                    <execution>
                        <id>war-pre-packaging</id>
                        <phase>validate</phase>
                        <goals>
                            <goal>copy</goal>
                        </goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>org.openidentityplatform.opendj</groupId>
                                    <artifactId>opendj-server-legacy</artifactId>
                                    <version>${opendj.server.legacy}</version>
                                    <type>zip</type>
                                </artifactItem>
                            </artifactItems>

                            <outputDirectory>${project.build.directory}</outputDirectory>
                            <overWriteReleases>false</overWriteReleases>
                            <overWriteSnapshots>false</overWriteSnapshots>
                            <overWriteIfNewer>true</overWriteIfNewer>
                        </configuration>
                    </execution>
                    <execution>
                        <id>unpack</id>
                        <phase>validate</phase>
                        <goals>
                            <goal>unpack</goal>
                        </goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>org.openidentityplatform.openam</groupId>
                                    <artifactId>openam-jaxrpc-schema</artifactId>
                                    <type>jar</type>
                                    <overWrite>false</overWrite>
                                    <outputDirectory>${project.build.directory}/unpacked</outputDirectory>
                                    <includes>jaxrpc/IdentityManagementServices.wsdl</includes>
                                </artifactItem>
                                <artifactItem>
                                    <groupId>org.openidentityplatform.openam</groupId>
                                    <artifactId>openam-ui-ria</artifactId>
                                    <classifier>www</classifier>
                                    <type>zip</type>
                                    <overWrite>false</overWrite>
                                    <outputDirectory>${project.build.directory}/XUI</outputDirectory>
                                    <includes>**/*</includes>
                                </artifactItem>
                                <artifactItem>
                                    <groupId>org.openidentityplatform.openam</groupId>
                                    <artifactId>openam-ui-api</artifactId>
                                    <type>jar</type>
                                    <overWrite>false</overWrite>
                                    <outputDirectory>${project.build.directory}/api</outputDirectory>
                                </artifactItem>
                            </artifactItems>
                        </configuration>
                    </execution>

                    <execution>
                        <id>Copy license</id>
                        <phase>validate</phase>
                        <goals>
                            <goal>copy</goal>
                        </goals>
                        <configuration>
                            <artifactItems>
                                <artifactItem>
                                    <groupId>${license.groupId}</groupId>
                                    <artifactId>${license.artifactId}</artifactId>
                                    <version>${license.version}</version>
                                    <type>txt</type>
                                    <overWrite>true</overWrite>
                                    <outputDirectory>${project.build.directory}/legal-notices</outputDirectory>
                                    <destFileName>license.txt</destFileName>
                                </artifactItem>
                            </artifactItems>
                        </configuration>
                    </execution>
                </executions>
            </plugin>

            <!-- Pre-Packaging step for WAR elements. -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
                <executions>
                    <execution>
                        <id>war-pre-packaging</id>
                        <phase>validate</phase>
                        <configuration>
                            <target>

                                <property name="openam.version" value="${project.version}" />

                                <property name="openam.temp.target" value="${project.build.directory}/openam_TEMP" />

                                <property name="build.class.path" refid="maven.compile.classpath" />
                                <property name="project.basedir" value="./" />

                                <property name="server.resources" value="${project.basedir}/src/main/resources" />

                                <property name="amserver.target.resources.dir" value="${project.build.directory}/classes" />

                                <property name="core.xml.dir" value="${project.basedir}/../openam-core/src/main/resources/xml" />

                                <property name="federation.xml.dir" value="${project.basedir}/../openam-federation/OpenFM/src/main/resources/xml" />

                                <property name="exclusion.list" value="${exclusion.list.filename}" />

                                <property name="is.oem" value="${is.oem.build}" />

                                <ant antfile="${project.basedir}/openam-server-prepare-war.xml">
                                    <target name="openam-server-prepare-war" />
                                </ant>
                            </target>
                        </configuration>
                        <goals>
                            <goal>run</goal>
                        </goals>
                    </execution>
                </executions>
                <dependencies>
                    <dependency>
                        <groupId>ant-contrib</groupId>
                        <artifactId>ant-contrib</artifactId>
                        <version>${ant.contrib.version}</version>
                        <exclusions>
                            <exclusion>
                                <groupId>ant</groupId>
                                <artifactId>ant</artifactId>
                            </exclusion>
                        </exclusions>
                    </dependency>
                </dependencies>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <configuration>
                    <packagingExcludes>
                        WEB-INF/lib/jersey-core-1.1.5.2.jar,
                        WEB-INF/lib/jaxb-api-1.0.6.jar,
                        WEB-INF/lib/jaxb-libs-1.0.6.jar,
                        WEB-INF/lib/jaxb-xjc-1.0.6.jar,
                        WEB-INF/lib/jaxp-api-1.4.2.jar,
                    </packagingExcludes>
                    <archive>
                        <manifestEntries>
                            <Specification-Title>OpenAM Server</Specification-Title>
                            <Specification-Version>${project.version} - ${maven.build.timestamp}</Specification-Version>
                            <Specification-Vendor>Open Identity Platform Community</Specification-Vendor>
                            <Implementation-Title>OpenAM Server</Implementation-Title>
                            <Implementation-Version>${project.version} - ${maven.build.timestamp}
                            </Implementation-Version>
                            <Implementation-Vendor>Open Identity Platform Community</Implementation-Vendor>
                            <Build-Time>${maven.build.timestamp}</Build-Time>
                        </manifestEntries>
                    </archive>
                    <nonFilteredFileExtensions>
                        <!-- Exclude any binary files based upon File Types. -->
                        <nonFilteredFileExtension>bin</nonFilteredFileExtension>
                        <nonFilteredFileExtension>bkf</nonFilteredFileExtension>
                        <nonFilteredFileExtension>bmp</nonFilteredFileExtension>
                        <nonFilteredFileExtension>bz2</nonFilteredFileExtension>
                        <nonFilteredFileExtension>deb</nonFilteredFileExtension>
                        <nonFilteredFileExtension>dll</nonFilteredFileExtension>
                        <nonFilteredFileExtension>dmg</nonFilteredFileExtension>
                        <nonFilteredFileExtension>ear</nonFilteredFileExtension>
                        <nonFilteredFileExtension>exe</nonFilteredFileExtension>
                        <nonFilteredFileExtension>gif</nonFilteredFileExtension>
                        <nonFilteredFileExtension>gz</nonFilteredFileExtension>
                        <nonFilteredFileExtension>gzip</nonFilteredFileExtension>
                        <nonFilteredFileExtension>ico</nonFilteredFileExtension>
                        <nonFilteredFileExtension>jar</nonFilteredFileExtension>
                        <nonFilteredFileExtension>jks</nonFilteredFileExtension>
                        <nonFilteredFileExtension>jceks</nonFilteredFileExtension>
                        <nonFilteredFileExtension>jpg</nonFilteredFileExtension>
                        <nonFilteredFileExtension>jpeg</nonFilteredFileExtension>
                        <nonFilteredFileExtension>lz</nonFilteredFileExtension>
                        <nonFilteredFileExtension>png</nonFilteredFileExtension>
                        <nonFilteredFileExtension>pdf</nonFilteredFileExtension>
                        <nonFilteredFileExtension>rar</nonFilteredFileExtension>
                        <nonFilteredFileExtension>rpm</nonFilteredFileExtension>
                        <nonFilteredFileExtension>tar</nonFilteredFileExtension>
                        <nonFilteredFileExtension>tgz</nonFilteredFileExtension>
                        <nonFilteredFileExtension>war</nonFilteredFileExtension>
                        <nonFilteredFileExtension>zip</nonFilteredFileExtension>
                        <nonFilteredFileExtension>7z</nonFilteredFileExtension>
                        <nonFilteredFileExtension>woff2</nonFilteredFileExtension>
                        <nonFilteredFileExtension>woff</nonFilteredFileExtension>
                        <nonFilteredFileExtension>ttf</nonFilteredFileExtension>
                        <!-- See: http://en.wikipedia.org/wiki/List_of_file_formats -->
                    </nonFilteredFileExtensions>
                    <webResources>
                        <webResource>
                            <directory>${project.build.directory}/XUI/</directory>
                            <includes>
                                <include>**/**</include>
                            </includes>
                            <targetPath>XUI</targetPath>
                            <filtering>true</filtering>
                        </webResource>
                        <webResource>
                            <directory>${project.build.directory}/api/</directory>
                            <includes>
                                <include>**/**</include>
                            </includes>
                            <targetPath>api</targetPath>
                            <filtering>true</filtering>
                        </webResource>
                        <webResource>
                            <directory>${basedir}/src/main/webapp</directory>
                            <includes>
                                <include>**/**</include>
                            </includes>
                            <excludes>
                                <exclude>META-INF</exclude>
                                <exclude>WEB-INF</exclude>
                                <exclude>com_sun_web_ui/images</exclude>
                            </excludes>
                            <targetPath />
                            <filtering>true</filtering>
                        </webResource>
                        <webResource>
                            <directory>${basedir}/src/main/webapp/com_sun_web_ui/images</directory>
                            <includes>
                                <include>**/**</include>
                            </includes>
                            <targetPath>com_sun_web_ui/images</targetPath>
                            <filtering>false</filtering>
                        </webResource>
                        <webResource>
                            <directory>${project.basedir}/src/main/webapp/WEB-INF</directory>
                            <includes>
                                <include>**/**</include>
                            </includes>
                            <targetPath>WEB-INF</targetPath>
                            <filtering>true</filtering>
                        </webResource>
                        <webResource>
                            <!-- Copy all licenses into the legal-notices directory. -->
                            <directory>${project.build.directory}/legal-notices</directory>
                            <includes>
                                <include>**/**</include>
                            </includes>
                            <targetPath>legal-notices</targetPath>
                        </webResource>
                        <webResource>
                            <!-- Copy all third-party licences too. -->
                            <directory>${project.parent.basedir}/${third.party.legal.directory}</directory>
                            <includes>
                                <include>**/**</include>
                            </includes>
                            <targetPath>legal-notices</targetPath>
                        </webResource>
                        <webResource>
                            <!-- More third party licenses... -->
                            <directory>${project.parent.basedir}/</directory>
                            <includes>
                                <include>LICENSE.md</include>
                            </includes>
                            <targetPath>legal-notices</targetPath>
                        </webResource>
                        <webResource>
                            <directory>${project.basedir}/../openam-federation/OpenFM/src/main/wsdl</directory>
                            <includes>
                                <include>*.wsdl</include>
                                <include>*.xsd</include>
                            </includes>
                            <targetPath>WEB-INF/wsdl</targetPath>
                            <filtering>false</filtering>
                        </webResource>
                        <webResource>
                            <directory>${project.basedir}/../openam-schema/openam-idsvcs-schema/src/main/resources/xml
                            </directory>
                            <includes>
                                <include>*.wsdl</include>
                            </includes>
                            <targetPath>WEB-INF/wsdl</targetPath>
                            <filtering>false</filtering>
                        </webResource>
                        <webResource>
                            <directory>${project.build.directory}/unpacked/jaxrpc
                            </directory>
                            <includes>
                                <include>IdentityManagementServices.wsdl</include>
                            </includes>
                            <targetPath>WEB-INF/wsdl</targetPath>
                            <filtering>true</filtering>
                        </webResource>
                        <webResource>
                            <directory>${project.basedir}/../openam-federation/OpenFM/src/main/resources/xml/wss
                            </directory>
                            <includes>
                                <include>sun-jaxws.xml</include>
                            </includes>
                            <targetPath>WEB-INF</targetPath>
                            <filtering>false</filtering>
                        </webResource>
                        <webResource>
                            <!-- This pickup the remaining moved elements build from the
                                 "openam-server-prepare-war"
                                 step from a Temp Area -->
                            <directory>${project.build.directory}/openam_TEMP
                            </directory>
                            <includes>
                                <include>**/**</include>
                            </includes>
                            <targetPath />
                            <filtering>false</filtering>
                        </webResource>
                        <webResource>
                            <directory>${project.basedir}/../openam-sts/openam-rest-sts/src/main/resources
                            </directory>
                            <includes>
                                <include>stsstore.jks</include>
                            </includes>
                            <targetPath>WEB-INF/classes</targetPath>
                            <filtering>false</filtering>
                        </webResource>
                        <webResource>
                            <directory>${project.basedir}/../openam-audit/openam-audit-configuration/src/main/resources</directory>
                            <includes>
                                <include>audit.properties</include>
                            </includes>
                            <targetPath>WEB-INF/classes</targetPath>
                            <filtering>false</filtering>
                        </webResource>
                        <webResource>
                            <directory>${project.basedir}/../openam-selfservice/src/main/resources</directory>
                            <includes>
                                <include>selfService*.properties</include>
                            </includes>
                            <targetPath>WEB-INF/classes</targetPath>
                            <filtering>false</filtering>
                        </webResource>
                        <!-- OpenDJ 3.0 Copy in an internal dependency needed by OpenAM -->
                        <webResource>
                            <directory>${project.build.directory}/repackage-opendj/opendj/lib</directory>
                            <includes>
                                <include>opendj-je-backend.jar</include>
                                <include>quicksetup.jar</include>
                            </includes>
                            <targetPath>WEB-INF/lib</targetPath>
                            <filtering>false</filtering>
                        </webResource>
                    </webResources>
                </configuration>

            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-resources-plugin</artifactId>
                <executions>
                    <execution>
                        <id>copy-resources</id>
                        <phase>generate-resources</phase>
                        <goals>
                            <goal>copy-resources</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${project.build.outputDirectory}</outputDirectory>
                            <resources>
                                <resource>
                                    <directory>src/main/resources/services</directory>
                                    <includes>
                                        <include>amAuth.xml</include>
                                    </includes>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>

        <resources>
            <resource>
                <filtering>true</filtering>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*</include>
                </includes>
                <excludes>
                    <exclude>config/**</exclude>
                    <exclude>locale/**</exclude>
                    <exclude>federation-locale/**</exclude>
                    <exclude>openfm-locale/**</exclude>
                    <exclude>services/**</exclude>
                    <exclude>UI/**</exclude>
                    <exclude>*.conf</exclude>
                </excludes>
            </resource>
            <resource>
                <filtering>true</filtering>
                <directory>src/main/resources/config</directory>
                <includes>
                    <include>serviceNames.properties</include>
                </includes>
                <targetPath>${project.build.directory}/classes</targetPath>
            </resource>
            <resource>
                <filtering>true</filtering>
                <directory>src/main/resources</directory>
                <includes>
                    <include>AMConfig.properties</include>
                </includes>
            </resource>
        </resources>
    </build>

    <profiles>
        <profile>
            <id>with-oem</id>
            <properties>
                <exclusion.list.filename>opendj_oem_exclusion_list</exclusion.list.filename>
                <third.party.legal.directory>legal-oem</third.party.legal.directory>
                <is.oem.build>true</is.oem.build>
            </properties>
        </profile>
        <profile>
            <id>precompile-jsps</id>
            <build>
                <plugins>
                    <plugin>
                        <groupId>org.eclipse.jetty</groupId>
                        <artifactId>jetty-jspc-maven-plugin</artifactId>
                        <version>${jetty.jspc.version}</version>
                        <executions>
                            <execution>
                                <id>jspc</id>
                                <goals>
                                    <goal>jspc</goal>
                                </goals>
                                <configuration>
                                    <!-- Exclude JSPs with known compilation issues: -->
                                    <excludes>**/ButtonFrame.jsp,**/Masthead.jsp,**/Version.jsp,
                                        **/userconsole.jsp</excludes>
                                </configuration>
                            </execution>
                        </executions>
                    </plugin>

                </plugins>
            </build>
        </profile>
        <profile>
            <id>forgerock-dev</id>
            <dependencies>
                <dependency>
                    <groupId>org.openidentityplatform.openam</groupId>
                    <artifactId>openam-time-travel</artifactId>
                </dependency>
            </dependencies>
        </profile>
        <profile>
            <id>suppress-upgrade</id>
            <properties>
                <full.version.information />
            </properties>
        </profile>
    </profiles>

    <dependencies>
        <!-- Embedded OpenDJ Dependencies -->
        <dependency>
            <groupId>org.openidentityplatform.opendj</groupId>
            <artifactId>opendj-server</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.opendj</groupId>
            <artifactId>opendj-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.opendj</groupId>
            <artifactId>opendj-grizzly</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.opendj</groupId>
            <artifactId>opendj-server-legacy</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-http</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.commons.http-framework</groupId>
            <artifactId>servlet</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-ui-ria</artifactId>
            <type>zip</type>
            <classifier>www</classifier>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-ui-api</artifactId>
            <type>jar</type>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-core-rest</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.commons.http-framework</groupId>
            <artifactId>core</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.commons.http-framework</groupId>
            <artifactId>client-apache-sync</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.commons.guice</groupId>
            <artifactId>servlet</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-cli-definitions</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-cli-impl</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-server-auth-ui</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-federation-library</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>OpenFM</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-uma</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-dtd-schema</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-jaxrpc-schema</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-saml2-schema</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-rest</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-dashboard</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-datastore</artifactId>
        </dependency>
        
        <dependency>
        	<groupId>org.openidentityplatform.openam</groupId>
        	<artifactId>openam-radius-common</artifactId>
        </dependency>
        
        <dependency>
        	<groupId>org.openidentityplatform.openam</groupId>
        	<artifactId>openam-radius-server</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-push-notification</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-audit-configuration</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-audit-rest</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-selfservice</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-notifications</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-notifications-websocket</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-notifications-integration</artifactId>
        </dependency>

        <!-- Include all Authentication Modules -->
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-ad</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-anonymous</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-adaptive</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-application</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-cert</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-datastore</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-persistentcookie</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-hotp</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-scripted</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-device-id</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-httpbasic</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-jdbc</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-ldap</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-membership</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-msisdn</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-nt</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-oath</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-fr-oath</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-saml2</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-push</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-oauth2</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-radius</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-amster</artifactId>
        </dependency>
                        
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-recaptcha</artifactId>
        </dependency>
        
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-webauthn</artifactId>
        </dependency>
        
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-auth-qr</artifactId>
        </dependency>

		<dependency>
            <artifactId>openam-auth-securid</artifactId>
            <groupId>org.openidentityplatform.openam</groupId>
        </dependency>
                
        <dependency>
            <artifactId>openam-auth-windowsdesktopsso</artifactId>
            <groupId>org.openidentityplatform.openam</groupId>
        </dependency>

        <dependency>
            <artifactId>openam-auth-oidc</artifactId>
            <groupId>org.openidentityplatform.openam</groupId>
        </dependency>

        <dependency>
            <artifactId>json-resource</artifactId>
            <groupId>org.openidentityplatform.commons</groupId>
        </dependency>

        <dependency>
            <artifactId>json-resource-http</artifactId>
            <groupId>org.openidentityplatform.commons</groupId>
        </dependency>

        <!-- Oauth2 dependencies -->
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-oauth2</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-oauth2-saml2</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-rest-sts</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-common-sts</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-client-sts</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-token-service-sts</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-publish-sts</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-slf4j</artifactId>
        </dependency>

        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-upgrade</artifactId>
        </dependency>

        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
        </dependency>

        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>javax.servlet-api</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>javax.servlet.jsp</groupId>
            <artifactId>jsp-api</artifactId>
        </dependency>
        
        <!-- cassandra dependencies -->
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-cassandra-datastore</artifactId>
        </dependency>
        <dependency>
            <groupId>org.openidentityplatform.openam</groupId>
            <artifactId>openam-cassandra-cts</artifactId>
        </dependency>
		        
    </dependencies>
</project>
